## EDU.oswego.cs.dl.util.concurrent
Class SyncCollection.SyncCollectionIterator

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.SyncCollection.SyncCollectionIterator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  SyncList.SyncCollectionListIterator

Enclosing class:
  SyncCollection

    public class SyncCollection.SyncCollectionIterator

extends java.lang.Object
implements java.util.Iterator

Field Summary
`protected java.util.Iterator` `baseIterator_`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseIterator_

    protected final java.util.Iterator baseIterator_

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`